at.chipkarte.client.elgaad.soap

## Class Arznei

- Object
- - at.chipkarte.client.elgaad.soap.Arznei

-     public class Arznei
      extends Object

  Daten einer Arznei.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Arznei()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Code` | `getAnwendungsart()` Anwendungsart.
    `Arzneimittel` | `getArzneimittel()` Arzneimittel.
    `Code[]` | `getDarreichungsformList()` Darreichungsformen.
    `MagistraleZubereitung` | `getMagistraleZubereitung()` Magistrale Zubereitung.
    `String[]` | `getMoeglicheAnwendungsartDisplaynameList()` Anzeigetexte der möglichen Anwendungsarten.
    `Code[]` | `getMoeglicheAnwendungsartList()` Möglichen Anwendungsarten.
    `Code[]` | `getWirkstoffList()` Enthaltene Wirkstoffe.
    `void` | `setAnwendungsart(Code anwendungsart)`
    `void` | `setArzneimittel(Arzneimittel arzneimittel)`
    `void` | `setDarreichungsformList(Code[] darreichungsformList)`
    `void` | `setMagistraleZubereitung(MagistraleZubereitung magistraleZubereitung)`
    `void` | `setMoeglicheAnwendungsartDisplaynameList(String[] moeglicheAnwendungsartDisplaynameList)`
    `void` | `setMoeglicheAnwendungsartList(Code[] moeglicheAnwendungsartList)`
    `void` | `setWirkstoffList(Code[] wirkstoffList)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Arznei

          public Arznei()

  - ### Method Detail

    - #### getArzneimittel

          public Arzneimittel getArzneimittel()

      Arzneimittel. Siehe `Arzneimittel`.
      Eingabebedingung:
      Erfassung: Bedingt. Entweder Arzneimittel oder Magistrale Zubereitung muss angegeben werden.
      Ausgabebedingung: Bedingt. Entweder Arzneimittel oder Magistrale Zubereitung ist versorgt.
      Returns:
        Arzneimittel.

    - #### getMagistraleZubereitung

          public MagistraleZubereitung getMagistraleZubereitung()

      Magistrale Zubereitung. Siehe `MagistraleZubereitung`
      Eingabebedingung:
      Erfassung: Bedingt. Entweder Arzneimittel oder Magistrale Zubereitung muss angegeben werden.
      Ausgabebedingung: Bedingt. Entweder Arzneimittel oder Magistrale Zubereitung ist versorgt.
      Returns:
        Magistrale Zubereitung.

    - #### getDarreichungsformList

          public Code[] getDarreichungsformList()

      Darreichungsformen. Siehe `Code`.
      Erstellung (Angabe): Kann. Als Input-Parameter darf nur maximal ein Wert angegeben werden (es darf also maximal eine der möglichen Darreichungsformen gewählt werden).
      Abfrage (Versorgung): Muss (mögliche Darreichungsformen dieser Arznei bei Medikamentensuche, ansonsten die gewählte Darreichungsform).
      Returns:
        Liste von Darreichungsformen.

    - #### getWirkstoffList

          public Code[] getWirkstoffList()

      Enthaltene Wirkstoffe. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Bei Erfassung mit Arzneimittel wird eine Eingabe der Wirkstoffe ignoriert - die Wirkstoffe werden in diesem Fall automatisch anhand des Arzneimittels ermittelt. Bei Erfassung mit Angabe einer magistralen Zubereitung ist die Angabe der Wirkstoffe optional.
      Ausgabebedingung: Muss bei Arznei mit Arzneimittel. Kann bei Arznei mit magistraler Zubereitung.
      Returns:
        Liste von Wirkstoffen.

    - #### getAnwendungsart

          public Code getAnwendungsart()

      Anwendungsart. Bei der Medikamentensuche nicht relevant (d.h. wird dort nicht befüllt, Eingaben werden ignoriert). Siehe `Code`.
      Eingabebedingung:
      Erfassung: Kann.
      Ausgabebedingung: Kann.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_MedikationArtAnwendung_VS (z.B. Code 100000073564)
      Returns:
        Anwendungsart.

    - #### getMoeglicheAnwendungsartList

          public Code[] getMoeglicheAnwendungsartList()

      Möglichen Anwendungsarten. Nicht befüllt bei der Abfrage der Medikationsliste sowie bei magistralen Zubereitungen. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_MedikationArtAnwendung_VS (z.B. Code 100000073564)
      Returns:
        Liste möglicher Anwendungsarten.

    - #### getMoeglicheAnwendungsartDisplaynameList

          public String[] getMoeglicheAnwendungsartDisplaynameList()

      Anzeigetexte der möglichen Anwendungsarten. Nicht befüllt bei magistralen Zubereitungen.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann.
      Returns:
        Liste möglicher Anwendungsarten (Anzeigetexte).

    - #### setArzneimittel

          public void setArzneimittel(Arzneimittel arzneimittel)

    - #### setMagistraleZubereitung

          public void setMagistraleZubereitung(MagistraleZubereitung magistraleZubereitung)

    - #### setDarreichungsformList

          public void setDarreichungsformList(Code[] darreichungsformList)

    - #### setWirkstoffList

          public void setWirkstoffList(Code[] wirkstoffList)

    - #### setAnwendungsart

          public void setAnwendungsart(Code anwendungsart)

    - #### setMoeglicheAnwendungsartList

          public void setMoeglicheAnwendungsartList(Code[] moeglicheAnwendungsartList)

    - #### setMoeglicheAnwendungsartDisplaynameList

          public void setMoeglicheAnwendungsartDisplaynameList(String[] moeglicheAnwendungsartDisplaynameList)